export declare const tooltipProps: {
    adjustArrow: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    appendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    arrowOffset: {
        type: NumberConstructor;
        default: () => number;
    };
    boundariesPadding: {
        type: NumberConstructor;
        default: () => number;
    };
    content: {
        type: StringConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
    enterable: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    hideAfter: {
        type: NumberConstructor;
        default: () => number;
    };
    manual: {
        type: BooleanConstructor;
    };
    modelValue: {
        type: BooleanConstructor;
    };
    offset: {
        default: () => number;
    };
    effect: {
        type: StringConstructor;
        default: () => string;
    };
    openDelay: {
        type: NumberConstructor;
        default: () => number;
    };
    closeDelay: {
        type: NumberConstructor;
        default: () => number;
    };
    placement: {
        type: StringConstructor;
        default: () => string;
    };
    popper: {};
    popperClass: {
        type: StringConstructor;
    };
    popperOptions: {
        default: () => {
            gpuAcceleration: boolean;
            boundariesPadding: number;
        };
    };
    pre: {
        type: BooleanConstructor;
    };
    reference: {};
    renderContent: {
        type: FunctionConstructor;
    };
    tabindex: {
        type: NumberConstructor;
        default: () => number;
    };
    transformOrigin: {
        type: (StringConstructor | BooleanConstructor)[];
        default: () => boolean;
    };
    transition: {
        type: StringConstructor;
        default: () => string;
    };
    type: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    visibleArrow: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    zIndex: {
        type: StringConstructor;
        default: () => string;
    };
    xm_mode: StringConstructor;
    xm_mode_root: BooleanConstructor;
    xm_template: (ObjectConstructor | FunctionConstructor)[];
    xm_renderless: FunctionConstructor;
    xm_theme: StringConstructor;
    xm_chart_theme: ObjectConstructor;
};
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api/dist/vue-composition-api.js").ShallowUnwrapRef<() => import("vue").VNode> & import("@vue/composition-api/dist/vue-composition-api.js").Data, {}, {}, {
    adjustArrow: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    appendToBody: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    arrowOffset: {
        type: NumberConstructor;
        default: () => number;
    };
    boundariesPadding: {
        type: NumberConstructor;
        default: () => number;
    };
    content: {
        type: StringConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
    enterable: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    hideAfter: {
        type: NumberConstructor;
        default: () => number;
    };
    manual: {
        type: BooleanConstructor;
    };
    modelValue: {
        type: BooleanConstructor;
    };
    offset: {
        default: () => number;
    };
    effect: {
        type: StringConstructor;
        default: () => string;
    };
    openDelay: {
        type: NumberConstructor;
        default: () => number;
    };
    closeDelay: {
        type: NumberConstructor;
        default: () => number;
    };
    placement: {
        type: StringConstructor;
        default: () => string;
    };
    popper: {};
    popperClass: {
        type: StringConstructor;
    };
    popperOptions: {
        default: () => {
            gpuAcceleration: boolean;
            boundariesPadding: number;
        };
    };
    pre: {
        type: BooleanConstructor;
    };
    reference: {};
    renderContent: {
        type: FunctionConstructor;
    };
    tabindex: {
        type: NumberConstructor;
        default: () => number;
    };
    transformOrigin: {
        type: (StringConstructor | BooleanConstructor)[];
        default: () => boolean;
    };
    transition: {
        type: StringConstructor;
        default: () => string;
    };
    type: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    visibleArrow: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    zIndex: {
        type: StringConstructor;
        default: () => string;
    };
    xm_mode: StringConstructor;
    xm_mode_root: BooleanConstructor;
    xm_template: (ObjectConstructor | FunctionConstructor)[];
    xm_renderless: FunctionConstructor;
    xm_theme: StringConstructor;
    xm_chart_theme: ObjectConstructor;
}, {
    pre: boolean;
    disabled: boolean;
    xm_mode_root: boolean;
    modelValue: boolean;
    tabindex: number;
    transition: string;
    zIndex: string;
    offset: number;
    placement: string;
    manual: boolean;
    popperOptions: {
        gpuAcceleration: boolean;
        boundariesPadding: number;
    };
    transformOrigin: string | boolean;
    appendToBody: boolean;
    arrowOffset: number;
    boundariesPadding: number;
    closeDelay: number;
    openDelay: number;
    visibleArrow: boolean;
    adjustArrow: boolean;
    enterable: boolean;
    hideAfter: number;
    effect: string;
} & {
    type?: string | undefined;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    popper?: unknown;
    content?: string | undefined;
    popperClass?: string | undefined;
    reference?: unknown;
    renderContent?: undefined;
}> & import("vue").VueConstructor<import("vue").default> & (new (...args: any[]) => import("@vue/composition-api/dist/vue-composition-api.js").ComponentRenderProxy<{
    pre: boolean;
    disabled: boolean;
    xm_mode_root: boolean;
    modelValue: boolean;
    tabindex: number;
    transition: string;
    zIndex: string;
    offset: number;
    placement: string;
    manual: boolean;
    popperOptions: {
        gpuAcceleration: boolean;
        boundariesPadding: number;
    };
    transformOrigin: string | boolean;
    appendToBody: boolean;
    arrowOffset: number;
    boundariesPadding: number;
    closeDelay: number;
    openDelay: number;
    visibleArrow: boolean;
    adjustArrow: boolean;
    enterable: boolean;
    hideAfter: number;
    effect: string;
} & {
    type?: string | undefined;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    popper?: unknown;
    content?: string | undefined;
    popperClass?: string | undefined;
    reference?: unknown;
    renderContent?: undefined;
}, import("@vue/composition-api/dist/vue-composition-api.js").ShallowUnwrapRef<() => import("vue").VNode>, import("@vue/composition-api/dist/vue-composition-api.js").Data, {}, {}, {
    pre: boolean;
    disabled: boolean;
    xm_mode_root: boolean;
    modelValue: boolean;
    tabindex: number;
    transition: string;
    zIndex: string;
    offset: number;
    placement: string;
    manual: boolean;
    popperOptions: {
        gpuAcceleration: boolean;
        boundariesPadding: number;
    };
    transformOrigin: string | boolean;
    appendToBody: boolean;
    arrowOffset: number;
    boundariesPadding: number;
    closeDelay: number;
    openDelay: number;
    visibleArrow: boolean;
    adjustArrow: boolean;
    enterable: boolean;
    hideAfter: number;
    effect: string;
} & {
    type?: string | undefined;
    xm_mode?: string | undefined;
    xm_template?: unknown;
    xm_renderless?: Function | undefined;
    xm_theme?: string | undefined;
    xm_chart_theme?: Record<string, any> | undefined;
    popper?: unknown;
    content?: string | undefined;
    popperClass?: string | undefined;
    reference?: unknown;
    renderContent?: undefined;
}, {
    tabindex: number;
    transition: string;
    zIndex: string;
    offset: number;
    placement: string;
    popperOptions: {
        gpuAcceleration: boolean;
        boundariesPadding: number;
    };
    transformOrigin: string | boolean;
    appendToBody: boolean;
    arrowOffset: number;
    boundariesPadding: number;
    closeDelay: number;
    openDelay: number;
    visibleArrow: boolean;
    adjustArrow: boolean;
    enterable: boolean;
    hideAfter: number;
    effect: string;
}, true>);
export default _default;
